Get Release Group Releases

gethttps://app.fossa.com/api/project_group/{groupId}/releases

Returns a paginated list of releases for a given release group. You must have permission to view this release group.

Path parameters

groupIdintegerrequired

The ID of the release group

Query parameters

countinteger
pageinteger
searchstring

Responses

200OK
releasesobject[]
idinteger

Release ID

titlestring

Release title/version

projectGroupIdinteger

The release group which this belongs to

dependency_countinteger

The count of dependencies in this release

license_countinteger

The count of licenses in this release

unresolved_licensing_issue_countinteger

The number of licensing issues in this release

unresolved_security_issue_countinteger

The number of security issues in this release

unresolved_quality_issue_countinteger

The number of quality issues in this release

publishedOnPortalenum

If this release has been published on an SBOM portal

attribution_txtspdx_taggedcyclonedx_jsonspdx_jsoncyclonedx_xmlpending
publishedAtstring <date-time>

When the release was published to the portal

reportPathstring

Path to the SBOM report for this release

publishedLicensesstring[]

List of published license IDs

totalinteger
400Bad request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404Not found
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/project_group/1/releases
curl --request GET \  --url 'https://app.fossa.com/api/project_group/1/releases' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

groupIdintegerrequired

The ID of the release group

Query params

countinteger
pageinteger
searchstring